Referência da API
Referência interativa da API REST do WonderMoney. As descrições das operações estão em inglês em todos os idiomas.
Esta referência é gerada a partir da especificação OpenAPI da API. Cada operação inclui o âmbito de token necessário e os esquemas documentados de pedido e de resposta. Consulta o guia da API para configurar tokens e tratar pedidos.
bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
accounts*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account'{ "accounts": [ { "accountFinancialInstitutionKey": { "displayName": "string", "logoUrl": "string" }, "accountKey": 0, "accountName": "string", "accountType": "string", "appuserCurrencyAvailableBalance": 0, "appuserCurrencyBalance": 0, "attribution": { "appuserKey": 0, "displayName": "string" }, "availableBalance": 0, "balance": 0, "creditCard": { "property1": null, "property2": null }, "currencyKey": { "code": "string" }, "fxStatus": "string", "isJoint": true, "isOwnedByViewer": true, "isPrivate": true, "myAccess": "owner", "ownerAppuserKey": 0, "ownerFirstName": "string", "refreshedAt": "string", "source": "manual", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
accountTypes*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/account-types'{ "accountTypes": [ { "accountTypeKey": 0, "description": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
fromDate?|number|stringmemberKeys?string|number|array<string|number>timezone?stringtoDate?|number|stringSuccessful response.
application/json- response
cashflow?unknowncompleteness*|null[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/cashflow'{ "cashflow": null, "completeness": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
currencies*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/currencies'{ "currencies": [ { "code": "string", "currencyKey": 0, "name": "string", "symbol": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
accountFinancialInstitutions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/financial-institutions'{ "accountFinancialInstitutions": [ { "accountFinancialInstitutionKey": 0, "displayName": "string", "logoUrl": "string", "name": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountKeys?string|number|array<string|number>days?integer30 <= value <= 9030Successful response.
application/json- response
completeness*|nulldays?array<>forecast?array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/forecast'{ "completeness": { "property1": null, "property2": null }, "days": [ { "property1": null, "property2": null } ], "forecast": [ { "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
fromDate?|number|stringtimezone?stringtoDate?|number|stringSuccessful response.
application/json- response
metrics*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/metrics'{ "metrics": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
accountTypeId?number|currencyId*number|currentBalance*numbervalue <= 999999999999financialInstitutionId?numbername*string1 <= length <= 100Successful response.
application/json- response
account*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/account/offline' \ -H 'Content-Type: application/json' \ -d '{ "currencyId": 0, "currentBalance": 999999999999, "name": "string"}'{ "account": { "accountFinancialInstitutionKey": { "displayName": "string", "logoUrl": "string" }, "accountKey": 0, "accountName": "string", "accountType": "string", "appuserCurrencyAvailableBalance": 0, "appuserCurrencyBalance": 0, "attribution": { "appuserKey": 0, "displayName": "string" }, "availableBalance": 0, "balance": 0, "creditCard": { "property1": null, "property2": null }, "currencyKey": { "code": "string" }, "fxStatus": "string", "isJoint": true, "isOwnedByViewer": true, "isPrivate": true, "myAccess": "owner", "ownerAppuserKey": 0, "ownerFirstName": "string", "refreshedAt": "string", "source": "manual", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
direction?string"in""out"excludeNonSpending?boolean|stringexcludeTransfers?boolean|stringmemberCurrency?string^[A-Z]{3}$merchantKeys?string|number|array<string|number>statuses?string|number|array<string|number>accountKeys?string|number|array<string|number>categoryKeys?string|number|array<string|number>confidence?string"high""low""medium""none"fromDate?|number|stringmemberKeys?string|number|array<string|number>tagKeys?string|number|array<string|number>timezone?stringtoDate?|number|stringtransactionTypes?string|number|array<string|number>unreviewedOnly?boolean|stringcursor?string^\d+_\d+$length <= 64includeEmptyAccounts?boolean|stringlimit?|100Successful response.
application/json- response
completeness*|nullhasMore*booleanlimit*integermoneyIn*number|nullmoneyOut*number|nullnextCursor*string|nulltotal*number|nulltotalAmount*number|nulltransactions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction'{ "completeness": { "property1": null, "property2": null }, "hasMore": true, "limit": 0, "moneyIn": 0, "moneyOut": 0, "nextCursor": "string", "total": 0, "totalAmount": 0, "transactions": [ { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
filter?transactionIds?array<number|>1 <= items <= 5000addTagIds?array<number|>items <= 50categoryId?stringhidden?booleanremoveTagIds?array<number|>items <= 50reviewed?booleanSuccessful response.
application/json- response
ruleSuggestion*|null[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/account/transaction' \ -H 'Content-Type: application/json' \ -d '{}'{ "ruleSuggestion": { "category": { "categoryKey": 0, "name": "string", "property1": null, "property2": null }, "fingerprint": "string", "kind": "description", "matchCount": 0, "rule": { "actions": [ { "property1": null, "property2": null } ], "conditions": [ { "property1": null, "property2": null } ], "match": "all", "name": "string", "stopProcessing": true, "property1": null, "property2": null }, "windowDays": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
limit?|20search?stringlength <= 200""Successful response.
application/json- response
transactionMerchants*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction-merchants'{ "transactionMerchants": [ { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
merchantId*number|Successful response.
response?ImageFileimage/*An image file
binarycurl -X GET 'https://api.wonder.money/v1/account/transaction-merchants/0/logo'"string"bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
transactionTypes*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction-types'{ "transactionTypes": [ { "description": "string", "transactionTypeKey": 0 } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
fromDate?|number|stringlimit?|100memberKeys?string|number|array<string|number>timezone?stringtoDate?|number|stringSuccessful response.
application/json- response
categorySpending*array<>completeness*|null[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/category-spending'{ "categorySpending": [ { "property1": null, "property2": null } ], "completeness": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
reviewed*integertotal*integerunreviewed*integer[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/review-summary'{ "reviewed": 0, "total": 0, "unreviewed": 0, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|application/json- body
categoryKey?stringnotes?|length <= 1000transactionType?string"TRANSFER_OUT""TRANSFER_IN""PAYMENT""DEPOSIT"transferDestination?|nullattributedAppuserKey?|number||nullstatementDateOverride?|number|string|nullupdatedAmount?number|Successful response.
application/json- response
ruleSuggestion*|nulltransaction*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/account/transaction/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "ruleSuggestion": { "category": { "categoryKey": 0, "name": "string", "property1": null, "property2": null }, "fingerprint": "string", "kind": "description", "matchCount": 0, "rule": { "actions": [ { "property1": null, "property2": null } ], "conditions": [ { "property1": null, "property2": null } ], "match": "all", "name": "string", "stopProcessing": true, "property1": null, "property2": null }, "windowDays": 0, "property1": null, "property2": null }, "transaction": { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|Successful response.
application/json- response
attachments*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/0/attachments'{ "attachments": [ { "attachmentId": 0, "contentType": "string", "createdAt": "string", "fileName": "string", "size": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|Successful response.
application/json- response
history*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/0/history'{ "history": [ { "actorType": "string", "changes": { "property1": null, "property2": null }, "createdAt": "string", "eventType": "string", "source": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|Successful response.
application/json- response
currencyCode*string|nulllinkedAmount*numberlinks*array<>remainingAmount*numberWhat can still be linked: the absolute amount less linkedAmount.
role*|Money out is an expense, money in a reimbursement.
"expense""reimbursement"null[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/0/reimbursements'{ "currencyCode": "string", "linkedAmount": 0, "links": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "remainingAmount": 0, "role": "expense", "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|application/json- body
amount*number|expenseTransactionId*number|Successful response.
application/json- response
link*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/account/transaction/0/reimbursements' \ -H 'Content-Type: application/json' \ -d '{ "amount": 0, "expenseTransactionId": 0}'{ "link": { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|limit?|10search?stringlength <= 200Successful response.
application/json- response
suggestions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/transaction/0/reimbursements/suggestions'{ "suggestions": [ { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "reason": "amount", "remainingAmount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|application/json- body
items <= 50[index: integer]?Successful response.
application/json- response
transaction*[key: string]?unknowncurl -X PUT 'https://api.wonder.money/v1/account/transaction/0/splits' \ -H 'Content-Type: application/json' \ -d '[ { "amount": 0, "categoryId": 0 }]'{ "transaction": { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
transactionId*number|application/json- body
tagIds*array<number|>items <= 50Successful response.
application/json- response
tags*array<>[key: string]?unknowncurl -X PUT 'https://api.wonder.money/v1/account/transaction/0/tags' \ -H 'Content-Type: application/json' \ -d '{ "tagIds": [ 0 ]}'{ "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|Successful response.
application/json- response
account*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0'{ "account": { "accountFinancialInstitutionKey": { "displayName": "string", "logoUrl": "string" }, "accountKey": 0, "accountName": "string", "accountType": "string", "appuserCurrencyAvailableBalance": 0, "appuserCurrencyBalance": 0, "attribution": { "appuserKey": 0, "displayName": "string" }, "availableBalance": 0, "balance": 0, "creditCard": { "property1": null, "property2": null }, "currencyKey": { "code": "string" }, "fxStatus": "string", "isJoint": true, "isOwnedByViewer": true, "isPrivate": true, "myAccess": "owner", "ownerAppuserKey": 0, "ownerFirstName": "string", "refreshedAt": "string", "source": "manual", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|application/json- body
accountName?string1 <= length <= 100isPrivate?booleanisJoint?booleanopeningBalance?number|openingBalanceDate?|number|stringSuccessful response.
application/json- response
account*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/account/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "account": { "accountFinancialInstitutionKey": { "displayName": "string", "logoUrl": "string" }, "accountKey": 0, "accountName": "string", "accountType": "string", "appuserCurrencyAvailableBalance": 0, "appuserCurrencyBalance": 0, "attribution": { "appuserKey": 0, "displayName": "string" }, "availableBalance": 0, "balance": 0, "creditCard": { "property1": null, "property2": null }, "currencyKey": { "code": "string" }, "fxStatus": "string", "isJoint": true, "isOwnedByViewer": true, "isPrivate": true, "myAccess": "owner", "ownerAppuserKey": 0, "ownerFirstName": "string", "refreshedAt": "string", "source": "manual", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|fromDate?|number|stringtimezone?stringSuccessful response.
application/json- response
metrics*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/metrics'{ "metrics": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|Successful response.
application/json- response
accountKey*integercanManage*booleanformerMembersPercent*numberThe part held by people no longer in the household, which counts as Shared.
isJoint*booleanisSplit*booleanFalse when the account has no shares: it is its owner’s, or Shared when joint.
members*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/ownership'{ "accountKey": 0, "canManage": true, "formerMembersPercent": 0, "isJoint": true, "isSplit": true, "members": [ { "appuserKey": 0, "canSee": true, "displayName": "string", "firstName": "string", "isAccountOwner": true, "lastName": "string", "percent": 0, "role": "owner" } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|Successful response.
application/json- response
transactions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/recent-transactions'{ "transactions": [ { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|Successful response.
application/json- response
accountKey*integercanManage*booleanisPrivate*booleanmembers*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/shares'{ "accountKey": 0, "canManage": true, "isPrivate": true, "members": [ { "access": "owner", "appuserKey": 0, "firstName": "string", "isAccountOwner": true, "lastName": "string", "role": "owner", "share": "read" } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|from?|number|stringto?|number|stringSuccessful response.
application/json- response
statements*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/statements'{ "statements": [ { "availableCredit": 0, "balance": 0, "charges": 0, "dueDate": "string", "isCurrent": true, "payments": 0, "periodEnd": "string", "periodStart": "string", "status": "closed", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|statementDate*string^\d{4}-\d{2}-\d{2}$/uSuccessful response.
application/json- response
statement*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/0/statements/string'{ "statement": { "availableCredit": 0, "balance": 0, "charges": 0, "dueDate": "string", "isCurrent": true, "payments": 0, "periodEnd": "string", "periodStart": "string", "status": "closed", "transactions": [ { "amount": 0, "description": "string", "merchantName": "string", "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*stringdirection?string"in""out"excludeNonSpending?boolean|stringexcludeTransfers?boolean|stringmemberCurrency?string^[A-Z]{3}$merchantKeys?string|number|array<string|number>statuses?string|number|array<string|number>accountId?number|categoryKeys?string|number|array<string|number>confidence?string"high""low""medium""none"cursor?string^\d+_\d+$length <= 64fromDate?|number|stringlimit?|100tagKeys?string|number|array<string|number>timezone?stringtoDate?|number|stringtransactionTypes?string|number|array<string|number>unreviewedOnly?boolean|stringSuccessful response.
application/json- response
completeness*|nullhasMore*booleanlimit*integermoneyIn*number|nullmoneyOut*number|nullnextCursor*string|nulltotal*number|nulltotalAmount*number|nulltransactions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/account/string/transaction'{ "completeness": { "property1": null, "property2": null }, "hasMore": true, "limit": 0, "moneyIn": 0, "moneyOut": 0, "nextCursor": "string", "total": 0, "totalAmount": 0, "transactions": [ { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId*number|application/json- body
categoryId?string|nulldescription?stringlength <= 500exchangeRate?stringnotes?|length <= 1000originalAmount?stringoriginalCurrencyId?stringsettlementAmount*number|settlementCurrencyId*number|tagIds?array<number|>items <= 50transactionDate*|number|stringtransactionMerchantId?number|nulltransactionMerchantName?|length <= 200transactionTypeId*number|Successful response.
application/json- response
possibleDuplicate*boolean[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/account/0/transaction' \ -H 'Content-Type: application/json' \ -d '{ "settlementAmount": 0, "settlementCurrencyId": 0, "transactionDate": "2019-08-24T14:15:22Z", "transactionTypeId": 0}'{ "possibleDuplicate": true, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
limit?integer1 <= value <= 10030Successful response.
application/json- response
events*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/assistant/audit-log'{ "events": [ { "createdAt": "string", "eventType": "string", "metadata": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
consent*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/assistant/consent'{ "consent": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
limit?integer1 <= value <= 10050status?string"pending""applied""expired""failed""pending""rejected"Successful response.
application/json- response
proposals*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/assistant/proposals'{ "proposals": [ { "changes": [ { "after": "string", "before": "string", "description": "string", "field": "category", "transactionDate": "string", "transactionId": 0, "property1": null, "property2": null } ], "createdAt": "string", "decidedAt": "string", "expiresAt": "string", "failureReason": "category_unavailable", "id": 0, "kind": "categorize_transactions", "source": "assistant", "status": "pending", "summary": "string", "unavailableCount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
budgets*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget'{ "budgets": [ { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
dependentsNum?number0 <= value <= 500houseHoldSize?number0 <= value <= 1001incomes?array<>visibility?string"household""household""personal"Successful response.
application/json- response
budget*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/budget' \ -H 'Content-Type: application/json' \ -d '{}'{ "budget": { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
budgets*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/full'{ "budgets": [ { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueSuccessful response.
application/json- response
budget*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1'{ "budget": { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueapplication/json- body
description?stringlength <= 500name?string1 <= length <= 100periodStartDay?integer1 <= value <= 28rolloverCarriesOverspend?booleanSuccessful response.
application/json- response
budget*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/budget/1' \ -H 'Content-Type: application/json' \ -d '{}'{ "budget": { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueSuccessful response.
application/json- response
accounts*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/accounts'{ "accounts": [ { "accountFinancialInstitutionKey": { "displayName": "string", "logoUrl": "string" }, "accountKey": 0, "accountName": "string", "accountType": "string", "appuserCurrencyAvailableBalance": 0, "appuserCurrencyBalance": 0, "attribution": { "appuserKey": 0, "displayName": "string" }, "availableBalance": 0, "balance": 0, "creditCard": { "property1": null, "property2": null }, "currencyKey": { "code": "string" }, "fxStatus": "string", "isJoint": true, "isOwnedByViewer": true, "isPrivate": true, "myAccess": "owner", "ownerAppuserKey": 0, "ownerFirstName": "string", "refreshedAt": "string", "source": "manual", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueapplication/json- body
accountKeys*array<number>Successful response.
application/json- response
budget*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/budget/1/accounts' \ -H 'Content-Type: application/json' \ -d '{ "accountKeys": [ 0 ]}'{ "budget": { "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "currencyKey": { "code": "string" }, "name": "string", "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueapplication/json- body
amountBudgeted*number0 < value <= 999999999categoryKey*number0 < valuerecurrency?string"ANNUALLY""BI_ANNUALLY""MONTHLY""MONTHLY_14""QUARTERLY"Successful response.
application/json- response
budgetTemplateCategory*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/budget/1/category' \ -H 'Content-Type: application/json' \ -d '{ "amountBudgeted": 1, "categoryKey": 1}'{ "budgetTemplateCategory": { "amount": 0, "budgetTemplateCategoryKey": 0, "categoryKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuemonths?integer3 <= value <= 126Successful response.
application/json- response
forecast*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/forecast'{ "forecast": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuemonth*integer1 <= value <= 12months?number3year*integer0 < valueSuccessful response.
application/json- response
suggestions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/suggestions?month=1&year=1'{ "suggestions": [ { "categoryKey": 0, "reason": "string", "suggestedAmount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuebudgetTemplateCategoryKey*number0 < valueapplication/json- body
accountKeys*array<number>Successful response.
application/json- response
budgetTemplateCategory*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/budget/1/1' \ -H 'Content-Type: application/json' \ -d '{ "accountKeys": [ 0 ]}'{ "budgetTemplateCategory": { "amount": 0, "budgetTemplateCategoryKey": 0, "categoryKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valueyear*number0 < valueSuccessful response.
application/json- response
budgetKey*integercategories*array<>month*integer|nullperiod?The days the budget month covers: with start day 25, month 11 runs from 25 October to 24 November.
periodStartDay?integerThe day of the month a budget month starts on, 1 to 28. With 1 a budget month is its calendar month; with a later day it is named after the month it ends in.
1 <= value <= 28visibility*stringhousehold: shared with every member of the household. personal: the caller's own budget, which no other member sees, the household's owner and admins included (another member's personal budget is never returned).
"household""personal"year*integer[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/1'{ "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "month": 0, "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "year": 0, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuemonth*number0 < valueyear*number0 < valueSuccessful response.
application/json- response
budgetKey*integercategories*array<>month*integer|nullperiod?The days the budget month covers: with start day 25, month 11 runs from 25 October to 24 November.
periodStartDay?integerThe day of the month a budget month starts on, 1 to 28. With 1 a budget month is its calendar month; with a later day it is named after the month it ends in.
1 <= value <= 28visibility*stringhousehold: shared with every member of the household. personal: the caller's own budget, which no other member sees, the household's owner and admins included (another member's personal budget is never returned).
"household""personal"year*integer[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/1/until/1'{ "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "month": 0, "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "year": 0, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuemonth*number0 < valueyear*number0 < valueSuccessful response.
application/json- response
budgetKey*integercategories*array<>month*integer|nullperiod?The days the budget month covers: with start day 25, month 11 runs from 25 October to 24 November.
periodStartDay?integerThe day of the month a budget month starts on, 1 to 28. With 1 a budget month is its calendar month; with a later day it is named after the month it ends in.
1 <= value <= 28visibility*stringhousehold: shared with every member of the household. personal: the caller's own budget, which no other member sees, the household's owner and admins included (another member's personal budget is never returned).
"household""personal"year*integer[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/budget/1/1/1'{ "budgetKey": 0, "categories": [ { "property1": null, "property2": null } ], "month": 0, "period": { "firstDay": "string", "lastDay": "string" }, "periodStartDay": 1, "visibility": "household", "year": 0, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
budgetKey*number0 < valuecategoryKey*number0 < valuemonth*number0 < valueyear*number0 < valueapplication/json- body
amount?number0 < value <= 999999999applyToFollowingMonths?booleantruerecurrency?string"ANNUALLY""BI_ANNUALLY""MONTHLY""MONTHLY_14""QUARTERLY"rolloverEnabled?booleanSuccessful response.
application/json- response
budgetTemplateCategory*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/budget/1/1/1/1' \ -H 'Content-Type: application/json' \ -d '{}'{ "budgetTemplateCategory": { "amount": 0, "budgetTemplateCategoryKey": 0, "categoryKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
categories*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/category'{ "categories": [ { "categoryKey": 0, "color": "string", "isIncome": true, "name": "string", "parentCategoryKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
color?stringcountsAsSpending?booleanicon?stringname*stringparentCategoryKey?stringSuccessful response.
application/json- response
category*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/category' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "category": { "categoryKey": 0, "color": "string", "isIncome": true, "name": "string", "parentCategoryKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
categoryId*number|application/json- body
color?stringcountsAsSpending?booleanicon?stringname?stringSuccessful response.
application/json- response
category*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/category/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "category": { "categoryKey": 0, "color": "string", "isIncome": true, "name": "string", "parentCategoryKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
brokers*array<>categories*array<>currencies*array<>fileStorage*booleanfinancialInstitutions*array<>financialTransactionTypes*array<>transactionTypes*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/configs'{ "brokers": [ { "property1": null, "property2": null } ], "categories": [ { "categoryKey": 0, "color": "string", "isIncome": true, "name": "string", "parentCategoryKey": 0, "property1": null, "property2": null } ], "currencies": [ { "code": "string", "currencyKey": 0, "name": "string", "symbol": "string", "property1": null, "property2": null } ], "fileStorage": true, "financialInstitutions": [ { "accountFinancialInstitutionKey": 0, "displayName": "string", "logoUrl": "string", "name": "string", "property1": null, "property2": null } ], "financialTransactionTypes": [ { "property1": null, "property2": null } ], "transactionTypes": [ { "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
currency*stringoverrides*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/currency/rates'{ "currency": "string", "overrides": [ { "currencyCode": "string", "date": "string", "overrideId": 0, "rate": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
groups*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups'{ "groups": [ { "expenseGroupKey": 0, "name": "string", "currencyCode": "string", "archived": true, "createdAt": "string", "members": [ { "expenseGroupMemberKey": 0, "name": "string", "email": "string", "appuserKey": 0, "isHouseholdMember": true, "isYou": true, "position": 0, "property1": null, "property2": null } ], "yourBalances": [ { "amount": 0, "currencyCode": "string" } ], "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|Successful response.
application/json- response
group*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0'{ "group": { "expenseGroupKey": 0, "name": "string", "currencyCode": "string", "archived": true, "createdAt": "string", "members": [ { "expenseGroupMemberKey": 0, "name": "string", "email": "string", "appuserKey": 0, "isHouseholdMember": true, "isYou": true, "position": 0, "property1": null, "property2": null } ], "yourBalances": [ { "amount": 0, "currencyCode": "string" } ], "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|Successful response.
application/json- response
expenseGroupKey*integercurrencies*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0/balances'{ "expenseGroupKey": 0, "currencies": [ { "currencyCode": "string", "members": [ { "memberKey": 0, "paid": 0, "share": 0, "settlementsPaid": 0, "settlementsReceived": 0, "balance": 0 } ], "payments": [ { "amount": 0, "fromMemberKey": 0, "toMemberKey": 0 } ] } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|Successful response.
application/json- response
settlements*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0/settlements'{ "settlements": [ { "expenseGroupSettlementKey": 0, "expenseGroupKey": 0, "fromMemberKey": 0, "toMemberKey": 0, "amount": 0, "currencyCode": "string", "settledOn": "string", "notes": "string", "isLinked": true, "transaction": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "createdAt": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|currencyCode?string^[a-z]{3}$/ifromMemberId*number|limit?|10search?stringlength <= 200toMemberId*number|Successful response.
application/json- response
suggestions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0/settlements/suggestions?fromMemberId=0&toMemberId=0'{ "suggestions": [ { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "remainingAmount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|Successful response.
application/json- response
expenses*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0/shares'{ "expenses": [ { "expenseGroupExpenseKey": 0, "expenseGroupKey": 0, "categoryKey": 0, "currencyCode": "string", "paidByMemberKey": 0, "splitMethod": "equal", "shares": [ { "amount": 0, "expenseGroupMemberKey": 0 } ], "transaction": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
groupId*number|transactionId*number|Successful response.
application/json- response
expense*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/expense-groups/0/shares/0'{ "expense": { "expenseGroupExpenseKey": 0, "expenseGroupKey": 0, "categoryKey": 0, "currencyCode": "string", "paidByMemberKey": 0, "splitMethod": "equal", "shares": [ { "amount": 0, "expenseGroupMemberKey": 0 } ], "transaction": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
searchTerm?stringlength <= 100""Successful response.
application/json- response
results*array<>source*curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/search'{ "results": [ { "currency": "string", "exchange": "string", "name": "string", "symbol": "string", "type": "string" } ], "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
earnings*array<>source*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/earnings'{ "earnings": [ { "date": "string", "eps": 0, "epsEstimated": 0, "revenue": 0, "revenueEstimated": 0 } ], "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
financials*array<>source*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/financials'{ "financials": [ { "grossProfit": 0, "netIncome": 0, "operatingIncome": 0, "period": "string", "revenue": 0 } ], "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
avgVolume*number|nullbeta*number|nulldividendYield*number|nullearningsPerShare*number|nullfiftyTwoWeekHigh*number|nullfiftyTwoWeekLow*number|nullmarketCap*number|nullnextEarningsDate*|^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$pegRatio*number|nullpeRatio*number|nullpriceToBook*number|nullpriceToSales*number|nullroe*number|nullsource*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/fundamentals'{ "avgVolume": 0, "beta": 0, "dividendYield": 0, "earningsPerShare": 0, "fiftyTwoWeekHigh": 0, "fiftyTwoWeekLow": 0, "marketCap": 0, "nextEarningsDate": "string", "pegRatio": 0, "peRatio": 0, "priceToBook": 0, "priceToSales": 0, "roe": 0, "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
dividends*array<>source*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/historical-dividend'{ "dividends": [ { "adjAmount": 0, "amount": 0, "date": "string" } ], "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20from?string^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$includeDividends?string"false""true""false"to?string^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$Successful response.
application/json- response
prices*array<>source*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/historical-price'{ "prices": [ { "adjClose": 0, "close": 0, "date": "string", "high": 0, "low": 0, "open": 0, "volume": 0 } ], "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
beta*number|nullceo*string|nullchangePercentage*number|nullcountry*string|nullcurrency*string|nulldescription*string|nullemployees*number|nullexchange*string|nullimage*string|nullindustry*string|nullname*string|nullprice*number|nullsector*string|nullsymbol*string1 <= length <= 20website*string|nullcurl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/info'{ "beta": 0, "ceo": "string", "changePercentage": 0, "country": "string", "currency": "string", "description": "string", "employees": 0, "exchange": "string", "image": "string", "industry": "string", "name": "string", "price": 0, "sector": "string", "symbol": "string", "website": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20limit?|20page?|0 <= value0Successful response.
application/json- response
hasMore*booleannews*array<>page*integer0 <= valuepageSize*numbersource*symbol*string1 <= length <= 20curl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/news'{ "hasMore": true, "news": [ { "image": "string", "publishedAt": "2019-08-24T14:15:22Z", "site": "string", "summary": "string", "symbol": "string", "title": "string", "url": "string" } ], "page": 0, "pageSize": 0, "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string"}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
ticker*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
change*number|nullchangePercent*number|nullcurrency*string|nullmarketState*|"closed""open""pre-market""after-hours""unknown"nullname*string|nullprice*number|nullsource*symbol*string1 <= length <= 20timestamp*|date-timevolume*number|nullcurl -X GET 'https://api.wonder.money/v1/financial-markets/ticker/string/quote'{ "change": 0, "changePercent": 0, "currency": "string", "marketState": "closed", "name": "string", "price": 0, "source": { "asOf": "2019-08-24T14:15:22Z", "provider": "eodhd" }, "symbol": "string", "timestamp": "2019-08-24T14:15:22Z", "volume": 0}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
items*array<>symbols*array<string>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/financial-markets/watchlist'{ "items": [ { "logoUrl": "string", "symbol": "string" } ], "symbols": [ "string" ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
includeArchived?|falseSuccessful response.
application/json- response
goals*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/goals'{ "goals": [ { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
annualInterestRatePercent?number|currencyId?number|currentBalance?number|description?|length <= 500extraPayment?number|loanKey?number||nullminimumPayment?number|monthlyContributionTarget?number||nullname*string1 <= length <= 100priority?integer0 <= value <= 2targetAmount?number|targetDate?|date-timetype?string"save_up""debt_paydown""save_up"Successful response.
application/json- response
goal*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
availableToAssign*number[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/goals/available-to-assign'{ "availableToAssign": 0, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
strategy*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/goals/debt-strategy'{ "strategy": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|Successful response.
application/json- response
goal*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/goals/0'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|application/json- body
annualInterestRatePercent?number|currencyId?number|currentBalance?number|description?|length <= 500extraPayment?number|loanKey?number||nullminimumPayment?number|monthlyContributionTarget?number||nullname?string1 <= length <= 100priority?integer0 <= value <= 2targetAmount?number|targetDate?|date-timetype?string"save_up""debt_paydown""save_up"Successful response.
application/json- response
goal*[key: string]?unknowncurl -X PATCH 'https://api.wonder.money/v1/goals/0' \ -H 'Content-Type: application/json' \ -d '{}'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|application/json- body
accountKey*number|Successful response.
application/json- response
link*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals/0/accounts' \ -H 'Content-Type: application/json' \ -d '{ "accountKey": 0}'{ "link": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|limit?|25offset?|0Successful response.
application/json- response
activity*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/goals/0/activity'{ "activity": [ { "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|application/json- body
amount*number|Successful response.
application/json- response
goal*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals/0/assign' \ -H 'Content-Type: application/json' \ -d '{ "amount": 0}'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|application/json- body
amount*number|transactionKey*number|Successful response.
application/json- response
funding*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals/0/fund-transaction' \ -H 'Content-Type: application/json' \ -d '{ "amount": 0, "transactionKey": 0}'{ "funding": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|application/json- body
amount*number|Successful response.
application/json- response
goal*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals/0/move-out' \ -H 'Content-Type: application/json' \ -d '{ "amount": 0}'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
goalKey*number|Successful response.
application/json- response
goal*[key: string]?unknowncurl -X POST 'https://api.wonder.money/v1/goals/0/restore'{ "goal": { "accounts": [ { "property1": null, "property2": null } ], "currentAmount": 0, "goalKey": 0, "name": "string", "status": "string", "targetAmount": 0, "targetDate": "string", "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId?number|Successful response.
application/json- response
installmentPlans*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/installment-plans'{ "installmentPlans": [ { "accountKey": 0, "accountName": "string", "categoryKey": 0, "currency": "string", "description": "string", "installmentCount": 0, "installmentPlanKey": 0, "nextInstallment": { "amount": 0, "dueDate": "string", "installmentNumber": 0, "postedAmount": 0, "postedDate": "string", "scheduledDate": "string", "statementDate": "string", "status": "paid", "transactionKey": 0, "property1": null, "property2": null }, "paidAmount": 0, "paidCount": 0, "purchaseDate": "string", "remainingAmount": 0, "remainingCount": 0, "totalAmount": 0, "unmatchedCount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId?number|Successful response.
application/json- response
commitments*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/installment-plans/commitments'{ "commitments": [ { "accountKey": 0, "accountName": "string", "activePlanCount": 0, "currency": "string", "nextInstallment": { "amount": 0, "date": "string", "description": "string", "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "remainingAmount": 0, "remainingCount": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
accountId?number|Successful response.
application/json- response
suggestions*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/installment-plans/suggestions'{ "suggestions": [ { "accountKey": 0, "accountName": "string", "currency": "string", "description": "string", "installmentAmount": 0, "installmentCount": 0, "key": "string", "purchaseDate": "string", "totalAmount": 0, "transactions": [ { "amount": 0, "description": "string", "installmentNumber": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
installmentPlanId*number|Successful response.
application/json- response
installmentPlan*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/installment-plans/0'{ "installmentPlan": { "accountKey": 0, "accountName": "string", "categoryKey": 0, "currency": "string", "description": "string", "installmentCount": 0, "installmentPlanKey": 0, "nextInstallment": { "amount": 0, "dueDate": "string", "installmentNumber": 0, "postedAmount": 0, "postedDate": "string", "scheduledDate": "string", "statementDate": "string", "status": "paid", "transactionKey": 0, "property1": null, "property2": null }, "paidAmount": 0, "paidCount": 0, "purchaseDate": "string", "remainingAmount": 0, "remainingCount": 0, "totalAmount": 0, "unmatchedCount": 0, "installments": [ { "amount": 0, "dueDate": "string", "installmentNumber": 0, "postedAmount": 0, "postedDate": "string", "scheduledDate": "string", "statementDate": "string", "status": "paid", "transactionKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
loans*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan'{ "loans": [ { "currencyKey": { "code": "string" }, "interestRate": 0, "loanKey": 0, "name": "string", "outstandingBalance": 0, "principal": 0, "status": "string", "securedAsset": { "key": 0, "name": "string", "value": 0, "currency": "string", "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
overview*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/overview'{ "overview": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
loan*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0'{ "loan": { "currencyKey": { "code": "string" }, "interestRate": 0, "loanKey": 0, "name": "string", "outstandingBalance": 0, "principal": 0, "status": "string", "securedAsset": { "key": 0, "name": "string", "value": 0, "currency": "string", "property1": null, "property2": null }, "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
adjustments*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/adjustments'{ "adjustments": [ { "amount": 0, "effectiveDate": "string", "loanAdjustmentKey": 0, "reason": "string", "type": "BALANCE_CORRECTION", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|extra?|0frequency?string"monthly""monthly""one-off"startDate?|number|stringSuccessful response.
application/json- response
projection*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/projection'{ "projection": [ { "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
ratePeriods*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/rate-periods'{ "ratePeriods": [ { "annualInterestRateBps": 0, "effectiveDate": "string", "loanRatePeriodKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|accountKey?integer0 < valueamount?number0 < valueendDate?|date-timesearch?string1 <= lengthstartDate?|date-timeSuccessful response.
application/json- response
candidates*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/repayment-candidates'{ "candidates": [ { "accountKey": 0, "amount": 0, "attribution": { "appuserKey": 0, "displayName": "string", "overridden": true }, "categoryKey": 0, "currencyKey": { "code": "string" }, "description": "string", "installment": { "installmentCount": 0, "installmentNumber": 0, "installmentPlanKey": 0, "property1": null, "property2": null }, "notes": "string", "settlementAmount": 0, "reimbursements": [ { "amount": 0, "createdAt": "string", "currencyCode": "string", "expense": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "reimbursement": { "accountKey": 0, "accountName": "string", "currencyCode": "string", "description": "string", "merchantName": "string", "settlementAmount": 0, "transactionDate": "string", "transactionKey": 0, "property1": null, "property2": null }, "transactionReimbursementKey": 0, "property1": null, "property2": null } ], "splits": [ { "amount": 0, "categoryKey": 0, "expenseGroupMember": { "expenseGroupKey": 0, "expenseGroupMemberKey": 0, "isHouseholdMember": true, "name": "string" }, "description": "string", "splitKey": 0, "property1": null, "property2": null } ], "status": "string", "tags": [ { "name": "string", "tagKey": 0, "property1": null, "property2": null } ], "transactionDate": "string", "transactionKey": 0, "transactionMerchantKey": { "transactionMerchantKey": 0, "name": "string", "website": "string", "logoUrl": "string", "resolvedLogoUrl": "string", "transactionCount": 0, "property1": null, "property2": null }, "transactionType": "string", "transferDestination": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
repayments*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/repayments'{ "repayments": [ { "amount": 0, "paidAt": "string", "repaymentLinkId": 0, "transactionKey": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
schedule*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/schedule'{ "schedule": [ { "amount": 0, "balance": 0, "dueDate": "string", "interest": 0, "principal": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
loanId*number|Successful response.
application/json- response
loan*summary*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/loan/0/summary'{ "loan": { "currencyKey": { "code": "string" }, "interestRate": 0, "loanKey": 0, "name": "string", "outstandingBalance": 0, "principal": 0, "status": "string", "securedAsset": { "key": 0, "name": "string", "value": 0, "currency": "string", "property1": null, "property2": null }, "property1": null, "property2": null }, "summary": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
assets*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/manual-assets'{ "assets": [ { "assetType": "string", "kind": "property", "currencyKey": { "code": "string" }, "currentValue": 0, "manualAssetKey": 0, "name": "string", "linkedLoans": [ { "loanKey": 0, "name": "string", "currency": "string", "outstandingPrincipal": 0, "outstandingPrincipalInAssetCurrency": 0, "property1": null, "property2": null } ], "linkedDebt": 0, "equity": 0, "unconvertedLoanCurrencies": [ "string" ], "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
manualAssetId*number|Successful response.
application/json- response
asset*wallet*|null[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/manual-assets/0'{ "asset": { "assetType": "string", "kind": "property", "currencyKey": { "code": "string" }, "currentValue": 0, "manualAssetKey": 0, "name": "string", "linkedLoans": [ { "loanKey": 0, "name": "string", "currency": "string", "outstandingPrincipal": 0, "outstandingPrincipalInAssetCurrency": 0, "property1": null, "property2": null } ], "linkedDebt": 0, "equity": 0, "unconvertedLoanCurrencies": [ "string" ], "property1": null, "property2": null }, "wallet": { "addresses": [ { "cryptoWalletAddressKey": 0, "chain": "bitcoin", "kind": "address", "address": "string", "label": "string", "status": "pending", "errorCode": "timeout", "lastAttemptAt": "string", "lastSyncedAt": "string", "tokens": [ { "cryptoWalletTokenKey": 0, "native": true, "contractAddress": "string", "symbol": "string", "name": "string", "quantity": "string", "tracked": true, "priceMissing": true, "property1": null, "property2": null } ], "property1": null, "property2": null } ], "lastSyncedAt": "string", "unpricedSymbols": [ "string" ], "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
manualAssetId*number|Successful response.
application/json- response
valuations*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/manual-assets/0/valuations'{ "valuations": [ { "manualAssetKey": 0, "notes": "string", "valuationId": 0, "value": 0, "valuedAt": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
application/json- body
id?string|numberjsonrpc*"2.0""2.0"method*stringparams?Successful response.
application/json- response
id*string|number|nulljsonrpc*"2.0""2.0"result*curl -X POST 'https://api.wonder.money/v1/mcp' \ -H 'Content-Type: application/json' \ -d '{ "jsonrpc": "2.0", "method": "string"}'{ "id": "string", "jsonrpc": "2.0", "result": { "property1": null, "property2": null }}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
member?string^(?:[1-9]\d*|shared)$/uSuccessful response.
application/json- response
netWorth*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/net-worth'{ "netWorth": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
granularity?"monthly""monthly""monthly"member?string^(?:[1-9]\d*|shared)$/umonths?integer2 <= value <= 126toDate?stringdateSuccessful response.
application/json- response
history*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/net-worth/history'{ "history": [ { "assets": 0, "date": "string", "liabilities": 0, "netWorth": 0, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
operationId*stringSuccessful response.
application/json- response
error*string|nulloperationId*stringprogress*number|nullresult?|nullstatus*stringtype?string[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/operations/string'{ "error": "string", "operationId": "string", "progress": 0, "result": { "property1": null, "property2": null }, "status": "string", "type": "string", "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
portfolios*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio'{ "portfolios": [ { "benchmarkSymbol": "string", "costBasisMethod": "string", "currencyKey": { "code": "string" }, "description": "string", "excluded": true, "favored": true, "name": "string", "portfolioKey": 0, "targetAllocation": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
importSessionId*number|limit?integer1 <= value <= 10025Successful response.
application/json- response
preview*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio-import-sessions/0'{ "preview": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringSuccessful response.
application/json- response
allocation*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/allocation'{ "allocation": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
Successful response.
application/json- response
brokers*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/brokers'{ "brokers": [ { "brokerId": 0, "name": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringSuccessful response.
application/json- response
calendar*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/calendar'{ "calendar": [ { "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
include?stringOpt-in summary fields, comma-separated: feeConversion, periodReturns.
^(feeConversion|periodReturns)(,(feeConversion|periodReturns))*$memberKeys?array<string>|stringperiod?string"YTD""1M""3M""6M""YTD""1Y""ALL"Successful response.
application/json- response
dashboard*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/dashboard'{ "dashboard": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringSuccessful response.
application/json- response
income*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/dividend-income'{ "income": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
financialAssetKey*number|from?string^\d{4}-\d{2}-\d{2}$to?string^\d{4}-\d{2}-\d{2}$Successful response.
application/json- response
currency*string|nullprices*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/holding/0/prices'{ "currency": "string", "prices": [ { "date": "string", "price": 0, "provider": "eodhd", "source": "manual", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
date*string^\d{4}-\d{2}-\d{2}$financialAssetKey*number|Successful response.
application/json- response
currency*string|nulldate*stringoverride*|nullprice*number|nullprovider*|"eodhd""stooq""coingecko"nullsource*|"manual""market"null[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/holding/0/prices/string'{ "currency": "string", "date": "string", "override": { "note": "string", "price": 0, "property1": null, "property2": null }, "price": 0, "provider": "eodhd", "source": "manual", "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
symbol*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
analyst*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/holding/string/analyst'{ "analyst": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
symbol*string^[A-Z0-9][\w.:\-/]{0,19}$/i1 <= length <= 20Successful response.
application/json- response
valuation*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/holding/string/valuation'{ "valuation": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringSuccessful response.
application/json- response
holdings*array<>[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/holdings'{ "holdings": [ { "costBasis": 0, "currencyKey": { "code": "string" }, "financialAssetKey": 0, "marketValue": 0, "name": "string", "quantity": 0, "realizedGains": 0, "symbol": "string", "property1": null, "property2": null } ], "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
fromDate?|date-timememberKeys?array<string>|stringSuccessful response.
application/json- response
metrics*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/metrics'{ "metrics": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringperiod?string"YTD""1M""3M""6M""YTD""1Y""ALL"Successful response.
application/json- response
performance*[key: string]?unknowncurl -X GET 'https://api.wonder.money/v1/portfolio/performance'{ "performance": { "property1": null, "property2": null }, "property1": null, "property2": null}bearerAuthAuthorizationBearer <wm_pat>A personal API token (wm_pat_…) created in Settings → API tokens. Send it as Authorization: Bearer wm_pat_…. Tokens are shown once; store them like a password.
memberKeys?array<string>|stringportfolioId?number|year?string^\d{4}$Successful response.
application/json- response
[...]
